# draugr.writers.mixins.precision_recall_writer_mixin.PrecisionRecallCurveWriterMixin

class draugr.writers.mixins.precision_recall_writer_mixin.PrecisionRecallCurveWriterMixin

  Bases: `ABC`

  Writer mixin that provides an interface for ‘writing’ instantiation

  __init__()

  Methods

  `__init__`() |
  `precision_recall_curve`(tag, predictions, ...) | description

  abstract precision_recall_curve(tag: str, predictions: list, truths: list, step: int, num_thresholds: int = 11) → None

    description